Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.texture.spi
Class DDSImage.ImageInfo

    java.lang.Object
      com.sun.opengl.util.texture.spi.DDSImage.ImageInfo

Enclosing class:
  DDSImage

    public static class DDSImage.ImageInfo

extends Object

Simple class describing images and data; does not encapsulate image format information. User is responsible for transmitting that information in another way.

Constructor Summary
`DDSImage.ImageInfo(ByteBuffer data, int width, int height, boolean compressed, int compressionFormat)`

Method Summary
`int` | `getCompressionFormat()`
`ByteBuffer` | `getData()`
`int` | `getHeight()`
`int` | `getWidth()`
`boolean` | `isCompressed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DDSImage.ImageInfo

    public DDSImage.ImageInfo(ByteBuffer data,
                              int width,
                              int height,
                              boolean compressed,
                              int compressionFormat)

Method Detail

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getData

    public ByteBuffer getData()

### isCompressed

    public boolean isCompressed()

### getCompressionFormat

    public int getCompressionFormat()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.